summaryrefslogtreecommitdiff
path: root/tests/fate-run.sh
diff options
context:
space:
mode:
authorMåns Rullgård <mans@mansr.com>2010-07-18 20:19:25 +0000
committerMåns Rullgård <mans@mansr.com>2010-07-18 20:19:25 +0000
commitf0388cf7168e0b56ce591ef7b48eb8e0ee459034 (patch)
treeaefd5c8f400f3981cb846683cf1cbbc1cceee2db /tests/fate-run.sh
parentd2f33c8021477f3c5e835ee224d604c1fc48c97c (diff)
fate: apply TARGET_EXEC only to commands starting with absolute path
Originally committed as revision 24313 to svn://svn.ffmpeg.org/ffmpeg/trunk
Diffstat (limited to 'tests/fate-run.sh')
-rwxr-xr-xtests/fate-run.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index a4c50e26a2..541f87a524 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -42,7 +42,8 @@ fi
mkdir -p "$outdir"
-eval $target_exec $command > "$outfile" 2>/dev/null || exit
+case "$command" in /*) command="$target_exec $command" ;; esac
+eval $command > "$outfile" 2>/dev/null || exit
case $cmp in
diff) diff -u -w "$ref" "$outfile" ;;